org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryGetColumnsMetaRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest
    - - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryGetColumnsMetaRequest

All Implemented Interfaces:
  ClientListenerRequest

    public class OdbcQueryGetColumnsMetaRequest
    extends OdbcRequest

ODBC query get columns meta request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`META_COLS, META_PARAMS, META_TBLS, MORE_RESULTS, QRY_CLOSE, QRY_EXEC, QRY_EXEC_BATCH, QRY_FETCH, STREAMING_BATCH`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryGetColumnsMetaRequest(String schemaPattern, String tablePattern, String columnPattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `columnPattern()`
`String` `schemaPattern()`
`String` `tablePattern()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`command`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryGetColumnsMetaRequest

    public OdbcQueryGetColumnsMetaRequest(String schemaPattern,
                                          String tablePattern,
                                          String columnPattern)

Parameters:
  `schemaPattern` - Schema pattern.
  `tablePattern` - Table pattern.
  `columnPattern` - Column pattern.

### Method Detail

#### schemaPattern

    @Nullable
    public String schemaPattern()

Returns:
  Schema pattern.

#### tablePattern

    public String tablePattern()

Returns:
  Table pattern.

#### columnPattern

    public String columnPattern()

Returns:
  Column pattern.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019